unit unMangler;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Spin, Arrow, ComCtrls;

type

  { TfrmDataMangler }

  TfrmDataMangler = class(TForm)
    btnGenerateData: TButton;
    btnDisplayData: TButton;
    btnBubble: TButton;
    labData: TLabel;
    labLabel: TLabel;
    labTop: TLabel;
    labBottom: TLabel;
    spSampleSize: TSpinEdit;
    spBottom: TSpinEdit;
    spTop: TSpinEdit;
    procedure btnDisplayDataClick(Sender: TObject);
    procedure btnGenerateDataClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure spSampleSizeChange(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmDataMangler: TfrmDataMangler;

implementation

{$R *.lfm}
Const n = 10;
Type  vector = array of integer;

Var  data : vector;

{ TfrmDataMangler }

procedure swapem(var x,y:integer);  //swapem(data[1],data[2])
var t : integer;
begin
   t := x;
   x := y;
   y := t
end;

//bubblesort here

end;

procedure TfrmDataMangler.FormCreate(Sender: TObject);
begin
  randomize;
  setlength(data,n); //get ready for data assume there are 10
end;

procedure TfrmDataMangler.btnGenerateDataClick(Sender: TObject);
var i,
    howMany : integer;
begin
    howMany := length(data);  //find out how many numbers there are
    for i := 0 to (howMany-1) do   //ZERO indexed!!
       //generate bottom..top
       data[i] := random(spTop.Value-spBottom.value)+ spBottom.value;

end;

procedure TfrmDataMangler.btnDisplayDataClick(Sender: TObject);
var plate : string;
    j     : integer;
begin
    plate := '';                      //clean plate
    for j := 0 to (length(data)-1) do
       plate := plate + ' ' + inttostr(data[j]); //plate them up
    labData.caption := plate

end;



procedure TfrmDataMangler.spSampleSizeChange(Sender: TObject);
begin
  setlength(data,spSampleSize.Value);  //resize array
end;


end.

